<?xml version="1.0"  encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!--
        @author         Peter Heilbronn
        @description    this style sheet creates the information header of an 
MXKS excerpt
        @param          excerptsrc      URL of the orginal XML excerpt file
        @param          indexfile       the URL of the XML file with the index 
structure
-->
<xsl:import href="excerpt.head.linklist.xsl" />

<xsl:output method="html" omit-xml-declaration="yes"  indent="yes" 
encoding="iso-8859-1"/>

<xsl:template  name="excerpt.head">
	 <xsl:param name="excerptsrc" />
         <xsl:param name="indexfile"  />
	 <xsl:param name="backlink"  />
	 <xsl:param name="backlabel"  />
	<xsl:param name="prev-image"  />
	<xsl:param name="home.link"  />


<xsl:message><xsl:value-of select="concat('excerpt.head called from name: 
',name(),'(', $indexfile,', ', $excerptsrc,', ',$link2structure,', 
',$link2conspect,', ',
$prev-image,')' )"/>
 
 

</xsl:message>


<xsl:message><xsl:value-of select="Abstract/@type"/>    </xsl:message>


<div style="background-color:#F0E68C;
  border-width:1px;
  border-style:solid;
  border-color:black;" >
<table bgcolor="F0E68C">

<!-- create a backlink to the main page of this sublevel -->
<xsl:if test="string-length($backlabel)>0">
<tr><td colspan="2" >
	<xsl:element name="a">
		<xsl:attribute name="href"><xsl:value-of select="$backlink" /></xsl:attribute>
		<xsl:attribute name="style">vertical-align:top; font-size:1.5em; color:red;
font-weight:bold; font-style:italic; text-decoration:none;</xsl:attribute>
		<xsl:if test="$prev-image!=''">
			<xsl:element name="img">
			 	<xsl:attribute name="alt">prev-arrow</xsl:attribute>
				<xsl:attribute name="border">0</xsl:attribute>
				<xsl:attribute name="src"><xsl:value-of select="$prev-image"
/></xsl:attribute>
			</xsl:element>
		</xsl:if>
		<xsl:value-of select="concat(' ',$backlabel)" />
	</xsl:element>
</td></tr>
</xsl:if>
<xsl:if test="string-length($backlabel)=0">
<div>
<a href="javascript:history.back();" style="vertical-align:top; font-size:1.5em; 
color:red;font-weight:bold; font-style:italic; text-decoration:none;">zurck</a>
</div>
</xsl:if>

<tr><td>Team</td><td><xsl:if 
test="count(Abstract/@authorsfirst)>0"><xsl:value-of 
select="concat(Abstract/@authorsfirst,' ')" /></xsl:if><xsl:value-of 
select="Abstract/@author" /></td></tr>
<tr><td>Thema</td><td><span style="text-align:center; 
font-size:1.5em"><xsl:value-of select="Abstract/@title" /></span>
<small><xsl:value-of select="concat('  ( ',Abstract/@type,' ) ')" /></small>
<xsl:if test="count(Abstract/@subtitle)>0">
	<br />
        <span style="text-align:center; font-size:1em"><xsl:value-of 
select="Abstract/@subtitle" /></span>
</xsl:if>
</td></tr>

<xsl:if test="count(Abstract/Abstract/@author)>0" >
<tr><td>Original</td><td> 

<table style="font-size:0.8em">
<tr><td>Autor</td><td><xsl:if 
test="count(Abstract/Abstract/@authorsfirst)>0"><xsl:value-of 
select="concat(Abstract/Abstract/@authorsfirst,' ')" /></xsl:if><xsl:value-of
select="Abstract/Abstract/@author" /></td></tr>
<tr><td>Titel</td><td><xsl:value-of
select="concat('&quot;',Abstract/Abstract/@title,'&quot;')" /></td></tr>

<xsl:if test="count(Abstract/Abstract/@publisher)>0">
<tr><td>Quelle</td><td><xsl:value-of select="Abstract/Abstract/@publisher"
/></td></tr>
</xsl:if>
</table>

</td></tr>
</xsl:if>


<xsl:call-template name="excerpt.head.linklist">
	<xsl:with-param name="exclude-name">excerpt</xsl:with-param>
	<xsl:with-param name="indexfile"><xsl:value-of select="$indexfile"
/></xsl:with-param>
	<xsl:with-param name="excerptsrc"><xsl:value-of select="$excerptsrc"
/></xsl:with-param>
</xsl:call-template>

<xsl:if test="count(Abstract/@version)>0">
<tr><td>Version</td><td><xsl:value-of select="concat(Abstract/@version,' ')"
/></td></tr>
</xsl:if>

<xsl:if test="count(Abstract/@state)>0">
	<tr><td>Status</td><td><xsl:value-of select="concat(Abstract/@state,' ')"
/></td></tr>
</xsl:if>

<xsl:if test="count(Abstract/@date)>0">
<tr><td>Letzte Bearbeitung</td><td><xsl:value-of select="concat(Abstract/@date,' 











')" /></td></tr>
</xsl:if>

<xsl:if test="string-length($home.link)>0">
<tr><td>Home</td>
	<td>
	<xsl:element name="a">
		<xsl:attribute name="style">text-decoration:none; 
font-size:0.7em;</xsl:attribute>
         	<xsl:attribute name="href"><xsl:value-of 
select="concat('http://',$home.link)" /></xsl:attribute>
		<xsl:value-of select="$home.link" />
	</xsl:element>                                                             
</td></tr>
</xsl:if>

</table>
</div>
<hr />
</xsl:template>

</xsl:stylesheet>
